%define major 20
%define name cpl
%define libname %mklibname %{name} %{major}
%define libname_virt	lib%{name}
%define develname %mklibname %{name} -d

Name: cpl
Version: 6.3.1
Release: %mkrel 2
Summary: ESO library for automated astronomical data-reduction tasks

Group: Sciences/Astronomy
License: GPLv2+
URL: http://www.eso.org/sci/software/cpl/
Source: ftp://ftp.eso.org/pub/dfs/pipelines/libraries/cpl/%{name}-%{version}.tar.gz
# Informed upstream 2008-12-18
Patch0: cpl-alldyn.patch

BuildRequires: cfitsio-devel wcslib-devel fftw-devel

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments. The CPL was developed to standardize the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package -n %{libname}
Summary: ESO library for automated astronomical data-reduction tasks
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
License: GPLv2+
URL: http://www.eso.org/sci/software/cpl/

%description -n %{libname}
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments. The CPL was developed to standardize the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Sciences/Astronomy
Requires: %{name} = %{version}-%{release}
%description -n %{develname}
These are the header files and libraries needed to develop a %{name}
application

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
# http://fedoraproject.org/wiki/PackagingGuidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%files -n %{libname}
%doc AUTHORS BUGS COPYING NEWS
%{_libdir}/*so.*

%files -n %{develname}
%doc README
%{_libdir}/*.so
%{_includedir}/*
%exclude %{_libdir}/*.la



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 6.3.1-2.mga4
+ Revision: 531468
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 joequant <joequant> 6.3.1-1.mga4
+ Revision: 463529
- update to 6.3.1

* Mon Apr 01 2013 joequant <joequant> 6.2-1.mga4
+ Revision: 406966
- imported package cpl

